package br.com.bancooriginal.cyberbank.dto;

/**
 * Interface para lancamento que serve ao validador de lancamento.
 * @author filipe.sa
 *
 */
public interface ILancamento {


	public String getNumConta();
	public void setNumConta(String numConta);
	
	public String getTransacao();
	public void setTransacao(String transacao);
	
	public String getMotivo();
	public void setMotivo(String motivo);
	
	public String getValor();
	public void setValor(String valor);
	
	public String getData();
	public void setData(String data);
	
	public String getComentario();
	public void setComentario(String comentario);
	
	public String getCategoria();
	public void setCategoria(String categoria);
	
	public String getValorCheque24();	
	public void setValorCheque24(String valorCheque24);
	
	public String getValorCheque48();
	public void setValorCheque48(String valorCheque48);
	
	public String getNumDocumento();
	public void setNumDocumento(String numDocumento);
	
	public Boolean getReversalFlag();
	public void setReversalFlag(Boolean reversalFlag);
	
	public String getReversalNumber();
	public void setReversalNumber(String ReversalNumber);
	
	public String getResposta();
	public void setResposta(String resposta);
	
	public String getErrorList();
	public void setErrorList(String errorList);
	
}
